<?php
function encryptToken($input) {
    // Base64 Encode
    $encoded = base64_encode($input);

    // Custom Vowel Replacement
    $obfuscated = str_replace(['a', 'e', 'i', 'o', 'u', 'A', 'E', 'I', 'O', 'U'], ['w%sy5f', 'p#r9v2', 'm&j4q8', 't!k7w3', 'z@x6n0', 'W%SY5F', 'P#R9V2', 'M&J4Q8', 'T!K7W3', 'Z@X6N0' ], $encoded);

    return $obfuscated;
}

function decryptToken($input) {
    // Reverse Custom Vowel Replacement
    $decoded_vowels = str_replace(['w%sy5f', 'p#r9v2', 'm&j4q8', 't!k7w3', 'z@x6n0', 'W%SY5F', 'P#R9V2', 'M&J4Q8', 'T!K7W3', 'Z@X6N0' ], ['a', 'e', 'i', 'o', 'u', 'A', 'E', 'I', 'O', 'U'], $input);

    // Base64 Decode
    $original = base64_decode($decoded_vowels);

    return $original;
}
?>